\documentclass{beamer}
%\usetheme{default}
%% Chose one of these theme
%\usetheme{Frankfurt}  % 3 options: minimal, sidebarleft, sidebarright
%\usetheme{Singapore}
%\usetheme{Madrid}
\usetheme{Hannover}
%\usetheme{Goettingen}
%\usetheme{CambridgeUS}
%\usetheme{Berkeley}
%\usetheme{Warsaw}

%% End of theme

\title{Java programming}
\author{Ton That Tam Dinh \inst{1} \inst{2}}
%\date{1/2/1997}
\institute[Caltech]
{
	\inst{1}
	Department of Computer Science\\
	Vietnam National University
	\and
	\inst{2}
	Department of Computer Science\\
	California Institute of Technology
}
\date[ICUP, 2014]
{Final Thesis Report\\
	April 1st, 1997}
\AtBeginSection[]
{
	\begin{frame}
	\frametitle{Table of Contents}
	\tableofcontents[currentsection]
\end{frame}
}
%------------------------------------------------------------



\begin{document}

\begin{frame}[plain]
    \maketitle
\end{frame}

\begin{frame}
\frametitle{Table of Contents}
\tableofcontents
\end{frame}

\begin{frame}{References and Textbook}
\begin{itemize}
	\item \textbf{Java: The Complete Reference,9th Editionby Herbert}
	\item \textbf{Effective Java, 2nd edition by Joshua Bloch}
\end{itemize}
\end{frame}

\section{Introduction}
\subsection{History of Java}
\begin{frame}{Frame 2nd}
\end{frame}

\subsection{What is Java}

\begin{frame}{Frame 2nd}
\end{frame}
\subsection{Java Editions}
\begin{frame}{Frame 2nd}
\end{frame}

\subsection{Java Platform}
\begin{frame}{Frame 2nd}
\end{frame}

\subsection{Java Development}


%\section{Inehritance}
%\section{Package, Interface and Exception}
%\section{Enumeration, TypeWrappers and Autoboxing}
%\section{Thread}
%\section{Networking}
%\section{Collection}
%\section{I/O}
%\section{Swing}
%\section{FX}
\begin{frame}{Frame 1st}
\end{frame}

\begin{frame}{Frame 2nd}
\end{frame}


\begin{frame}{Frame 3rd}
\end{frame}


\begin{frame}{Frame 4th}
\begin{itemize}
	\item Item 1
	\item Item 1
	\item Item 1
	\item Item 1
\end{itemize}
\end{frame}

\begin{frame}{Frame 5th}
\begin{center}
	\Huge Question?
\end{center}
\end{frame}




\end{document}
